<script setup lang="ts"></script>

<template>
  <div class="card">
    <div class="card-body">
      <div class="card-title">
        <slot name="title" />
      </div>
      <h6 v-if="$slots.subtitle" class="card-subtitle mb-2 text-body-secondary">
        <slot name="subtitle" />
      </h6>
      <div class="card-text">
        <slot name="body" />
      </div>
      <slot name="footer" />
    </div>
  </div>
</template>

<style scoped></style>
